@import 'variables';

section.about {
    min-height: 100vh;
    background-color: $mainGreen;
    padding-top: 60px;
    padding-bottom: 60px;
    @media screen and (min-width: $tablet) {
        padding-top: 40px;
        display: flex;
        flex-direction: column;
        align-items: center;
        min-height: unset;
        padding-bottom: 80px;
        .row {
            display: flex;
            align-items: center;
            align-self: center;
            justify-content: space-between;
        }
    }
    @media screen and (min-width: $sDesktop) {
        padding-top: 76px;
        padding-bottom: 109px;
    }
    @media screen and (min-width: $Desktop) {
        padding-top: 100px;
        padding-bottom: 75px;
    }
    .about-left {
        @media screen and (min-width: $tablet) {
            max-width: 53%;
            margin-right: 65px;
        }
        span.welcome {
            text-transform: uppercase;
            color: $fontLightColor;
            font-weight: 700;
            font-size: 7.8vw;
            @media screen and (min-width: $tablet) {
                font-size: 25px;
            }
            @media screen and (min-width: $sDesktop) {
                font-size: 36px;
            }
            @media screen and (min-width: $Desktop) {
                font-size: 55px;
            }
        }
        span.welcome-substring {
            margin-top: 2px;
            display: flex;
            font-size: 4.45vw;
            text-transform: uppercase;
            color: $fontLightColor;
            font-weight: 700;
            @media screen and (min-width: $tablet) {
                font-size: 14px;
            }
            @media screen and (min-width: $sDesktop) {
                font-size: 21px;
            }
            @media screen and (min-width: $Desktop) {
                font-size: 32px;
            }
        }
        p {
            color: $fontLightColor;
            font-size: 3vw;
            @media screen and (min-width: $tablet) {
                font-size: 13px;
            }
            @media screen and (min-width: $sDesktop) {
                font-size: 14px;
            }
            @media screen and (min-width: $Desktop) {
                font-size: 18px;
            }
            &:nth-child(2n-1) {
                margin-top: 20px;
                margin-bottom: 18px;
                @media screen and (min-width: $tablet) {
                    margin-top: 10px;
                    margin-bottom: 10px;
                }
                @media screen and (min-width: $sDesktop) {
                    margin-top: 15px;
                    margin-bottom: 15px;
                }
                @media screen and (min-width: $Desktop) {
                    margin-top: 25px;
                    margin-bottom: 25px;
                }
            }
        }
        button {
            margin-top: 20px;
            border-radius: 4px;
            width: 60vw;
            height: 40px;
            @media screen and (min-width: $tablet) {
                height: 25px;
                width: 160px;
                font-size: 12px;
                margin-top: 10px;
            }
            @media screen and (min-width: $sDesktop) {
                width: 209px;
                height: 35px;
                font-size: 14px;
                margin-top: 25px;
            }
            @media screen and (min-width: $Desktop) {
                width: 319px;
                height: 52px;
                font-size: 18px;
                margin-top: 30px;
            }
        }
    }
    .about-right {
        margin-top: 60px;
        @media screen and (min-width: $tablet) {
            margin-top: 0;
            width: fit-content;
        }
        img {
            border-radius: 4px;
            max-width: calc(100% - 16px);
            filter: drop-shadow(16px 16px $btnColor);
            @media screen and (min-width: $tablet) {
                width: 199px;
                height: 239px;
                object-fit: cover;
                object-position: top;
                filter: drop-shadow(9px 9px $btnColor);
            }
            @media screen and (min-width: $sDesktop) {
                width: 273px;
                height: 330px;
                filter: drop-shadow(14px 14px $btnColor);
            }
            @media screen and (min-width: $Desktop) {
                width: 414px;
                height: 500px;
                filter: drop-shadow(20px 20px $btnColor);
            }
        }
    }
    .infoBox {
        min-height: fit-content;
        background: $DarkGreenColor;
        margin-top: 51px;
        border-radius: 4px;
        display: flex;
        align-items: center;
        justify-content: center;
        @media screen and (min-width: $tablet) {
            max-width: 450px;
            min-height: 95px;
            margin-top: 46px;
        }
        @media screen and (min-width: $sDesktop) {
            max-width: 650px;
            min-height: 137px;
            margin-top: 60px;
        }
        @media screen and (min-width: $Desktop) {
            max-width: 984px;
            min-height: 208px;
            margin-top: 95px;
        }
        div {
            height: fit-content;
            padding: 17px 30px;
            position: relative;
            @media screen and (min-width: $tablet) {
                padding: 17px 34px;
            }
            @media screen and (min-width: $sDesktop) {
                padding: 27px 50px;
            }
            @media screen and (min-width: $Desktop) {
                padding: 37px 68px;
            }
            &::before,
            &::after {
                font-family: 'IBM Plex Mono', monospace;
                font-weight: 700;
                font-size: 20px;
                color: $btnColor;
                position: absolute;
                @media screen and (min-width: $sDesktop) {
                    font-size: 30px;
                }
                @media screen and (min-width: $Desktop) {
                    font-size: 46px;
                }
            }
            &::before {
                content: '“';
                transform: translate(-100%, -50%);
            }
            &::after {
                content: '”';
                right: 0;
                transform: translate(-250%, -20%);
            }
        }
        p {
            font-weight: 500;
            font-size: 2.9vw;
            color: $fontLightColor;
            @media screen and (min-width: $tablet) {
                font-size: 12px;
            }
            @media screen and (min-width: $sDesktop) {
                font-size: 14px;
            }
            @media screen and (min-width: $Desktop) {
                font-size: 18px;
            }
        }
    }
}
